#include <bits/stdc++.h>

using namespace std;

int main()
{
    string s,t;
    int n,m,r=0,k;
    getline(cin,s);
    getline(cin,t);
    n = s.length();
    m = t.length();
    int d[m];
    for(int i = 0; i<m; i++){
        d[i]=0;
    }
    for(int i = 0; i<n; i++){
        for(int j = 0; j<m; j++){
            if(s[i]==t[j]){
                d[j]++;
            }
        }
    }
    r = d[0];
    k = 0;
    for(int i = 1; i<m; i++){
        if(d[i]<r){
            r = d[i];
            k = i;
        }
    }
    if(r==0){
        cout<<r<<endl;
    }
    else{
        cout<<r<<endl;
        for(int i = 0; i<n; i++){
            if(s[i]==t[k]){
                cout<<"*";
            }
            else{
                cout<<s[i];
            }
        }
    }
    return 0;
}